Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DeleteVpnGatewayRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DeleteVpnGatewayRequest

    public class DeleteVpnGatewayRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeleteVpnGateway operation`.

Deletes a VPN gateway. Use this when you want to delete a VPC and all its associated components because you no longer need them. We recommend that before you delete a VPN gateway, you detach it from the VPC and delete the VPN connection. Note that you don't need to delete the VPN gateway if you just want to delete and re-create the VPN connection between your VPC and data center.

See Also:
  `AmazonEC2.deleteVpnGateway(DeleteVpnGatewayRequest)`

Constructor Summary
`DeleteVpnGatewayRequest()`

Method Summary
`String` | `getVpnGatewayId()` The ID of the VPN gateway to delete.
`void` | `setVpnGatewayId(String vpnGatewayId)` The ID of the VPN gateway to delete.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteVpnGatewayRequest` | `withVpnGatewayId(String vpnGatewayId)` The ID of the VPN gateway to delete.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteVpnGatewayRequest

    public DeleteVpnGatewayRequest()

Method Detail

### getVpnGatewayId

    public String getVpnGatewayId()

  The ID of the VPN gateway to delete.

  Returns:
    The ID of the VPN gateway to delete.

### setVpnGatewayId

    public void setVpnGatewayId(String vpnGatewayId)

  The ID of the VPN gateway to delete.

  Parameters:
    `vpnGatewayId` - The ID of the VPN gateway to delete.

### withVpnGatewayId

    public DeleteVpnGatewayRequest withVpnGatewayId(String vpnGatewayId)

  The ID of the VPN gateway to delete.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpnGatewayId` - The ID of the VPN gateway to delete.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.